Bug 819594 - VirtFS is not writeable on F17
VirtFS is not writeable on F17
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
17
x86_64 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 12:18 EDT by Boris Derzhavets
Modified: 2013-07-11 14:12 EDT (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 14:12:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Boris Derzhavets 2012-05-07 12:18:10 EDT
Description of problem:

Update XML definition of VF17 KVM as follows ( via VirtManager)

<filesystem type='mount' accessmode='squash'>
 <source dir='/home/boris'/>
 <target dir='host_share'/>
 <address type='pci' domain='0x0000' bus='0x00' slot='0x08' function='0x0'/>
</filesystem>


Start guest (spice/QXL) and mount :

[boris@fedora17 ~]$ sudo mount -t 9p -o trans=virtio host_share /mnt/host_share -oversion=9p2000.L

[boris@fedora17 ~]$ df -h
Filesystem                       Size  Used Avail Use% Mounted on
rootfs                            15G  4.0G  9.6G  30% /
devtmpfs                         993M     0  993M   0% /dev
tmpfs                           1003M   96K 1002M   1% /dev/shm
tmpfs                           1003M  1.3M 1001M   1% /run
/dev/mapper/vg_fedora17-lv_root   15G  4.0G  9.6G  30% /
tmpfs                           1003M     0 1003M   0% /sys/fs/cgroup
tmpfs                           1003M     0 1003M   0% /media
/dev/vda2                        497M   97M  375M  21% /boot
host_share                        61G  9.4G   49G  17% /mnt/host_share


Attempt to copy :

[boris@fedora17 ~]$ sudo cp  test  /mnt/host_share
cp: accessing `/mnt/host_share': Permission denied

Version-Release number of selected component (if applicable): 17


How reproducible:


Steps to Reproduce:

1. Update XML VF17 guest
2. Start VF17 and mount virtfs
3. Attempt to copy text file to virtfs
  
Actual results:

Permission denied

Expected results:

File copyed to /mnt/host_share

Additional info:
Comment 1 Boris Derzhavets 2012-05-07 14:19:27 EDT
Option security_model=passthrough works for qemu-kvm command line, but 
change accessmode (XML) to 'passthrough' doesn't help
Comment 2 Paolo Bonzini 2012-09-11 06:22:39 EDT
Moving to libvirt.
Comment 3 Fedora End Of Life 2013-07-03 19:44:38 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Cole Robinson 2013-07-11 14:12:40 EDT
Apparently the passthrough model just doesn't work unless qemu is running as root, which isn't the default case when using libvirt. mapped seems to work for at least creating files.

Note You need to log in before you can comment on or make changes to this bug.